GET /messaging/v1/sms/definitions/{definitionKey}

Retrieves the send definition configuration details for a definition key.

URL Parameters

Name Type Description
definitionKey string Required. The unique identifier of the send definition.

Responses

Status Name Type Description
200 OK
requestId string The unique identifier of this request.
name string Name of the definition.
definitionKey string A unique, user-generated key to access the definition object.
definitionId string A unique Marketing Cloud Engagement object identifier.
description string A user-provided description of the send definition.
status string The status of the definition. Possible values include active, inactive, or deleted. Messages that you send to an active definition are processed for delivery. Messages that you send to an inactive definition aren’t processed or delivered. Instead, the message is queued for later processing for up to three days.
createdDate string The date the definition was created.
modifiedDate string The date and time the definition was most recently changed.
content.message string The message content to send with each message. Use substitution strings and AMPscript to personalize the message.
subscriptions.shortCode string The short or long code to use to send messages with this send definition.
subscriptions.countryCode string The country code associated with the short code. Don't specify this value for long codes unless your account configuration requires it.
subscriptions.keyword string An SMS keyword that is used to track messages.
subscriptions.autoAddSubscriber boolean If you set this value to true, recipients are added as subscribers to the short code. If you set the value to false, the message is rejected if the contact doesn’t exist as a subscriber. The default value is true.
subscriptions.updateSubscriber boolean If you set this value to true, the system updates the subscriber data to include the mobile number. Default is true.
options.urlShortenerOptions.IsLinkShorteningEnabled boolean Indicates if URL shortening is enabled for URLs in the message body. The values are true and false.
options.urlShortenerOptions.isSubscriberTrackingEnabled boolean Indicates if subscriber level tracking is enabled for URLs in the message body. The values are true and false. The value is true if the value of shortenerType is SFMC.
options.urlShortenerOptions.shortenerType string The type of URL shortener. The value is SFMC.
options.SmsMessageRegulatoryAuthorityTemplateId string The ID of the DLT template used in the SMS. This attribute is available only for customers in India.

Usage

Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /messaging/v1/sms/definitions/SEND_DEFINITION_KEY
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

Example Response

HTTP/1.1 200 Success
{
 "requestId": "582bec09-6d04-4222-bbba-cea616495596",
 "name": "account-reset",
 "definitionKey": "account-reset",
 "description": "Using SMS Transactional API",
 "status": "Active","status": "Active",
 "createdDate": "2024-07-10T04:20:00",
 "modifiedDate": "2024-07-10T04:20:00",
 "content": {
  "message": "Shortening the URL"
 },
 "subscriptions": {
 "shortCode": "519000242",
 "countryCode": "US",
 "autoAddSubscriber": true,
 "updateSubscriber": true,
 "keyword": "API"
 },
 "options": {
    "urlShortenerOptions": {
      "isLinkShorteningEnabled": true,
      "isSubscriberTrackingEnabled": true,
      "shortenerType": "SFMC"
  },
  "smsMessageRegulatoryAuthorityTemplateId": "1107170833298425627"
}
}